<?xml version="1.0"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">

<xsl:template match="/"><html><head> <title>Endangered Species</title></head> <body bgcolor="white">

<xsl:apply-templates select="endangered_species/animal"/>
</body></html>
</xsl:template>

<xsl:template match="animal">
<p align="center">
<br/><font size="+3"><xsl:apply-templates select="name" /></font></p>
<p>The mighty <xsl:value-of select="name[@language='English']"/> faces numerous threats. For more information, check out the World Wildlife Federation's <a href="http://www.worldwildlife.org/species/species.cfm?"> pages</a>. </p><hr/>
</xsl:template>

<xsl:template match="name[@language= 'English']"><nobr><b><xsl:value-of select="."/>: </b> </nobr></xsl:template>

<xsl:template match="name[@language= 'Latin']"><nobr><i><xsl:value-of select="."/></i> </nobr></xsl:template>
	
	
</xsl:stylesheet>
