<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/"><html><head> <title>Endangered Species</title>

<style>
<![CDATA[
<!--
endangered_species {display:block}
name {display:block;position:absolute;left:9}
intro {display:block;border:medium dotted red;
	padding:5;margin-top:5}
description {display:block;position:relative;
	left:125;width:340;border:thin solid red;
	padding:5;margin-top:5}
picture {display:block}
population {display:inline}
latin_name {display:inline}
more_info {display:inline}
-->
]]>
</style>

</head> <body bgcolor="white">
<xsl:apply-templates select="endangered_species/animal"/>
</body></html>

</xsl:template>

<!-- Well, I have to admit that this example has a serious problem. While the instructions for creating an internal style sheet in the transformed file are perfectly proper and correct--and that is the focus of the example, after all--, the actual style sheet doesn't make much sense for the document it's used with. That is, if we're using this style sheet to convert an XML document into HTML, then it doesn't make sense to have a style sheet that applies styles to tags like endangered_species and animal... instead, it would make more sense to have a style sheet with references to tags like p and body (typical HTML tags), which are the tags that will result from the transformation of an XML document with the present style sheet. -->

</xsl:stylesheet>
